> ## Documentation Index
> Fetch the complete documentation index at: https://api-tools.memories.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Face Entities

> Get detected face entities

<Info>
  **Product**: Video Datalake
  **Host**: `https://api.memories.ai/datalake/v1`
  **Auth**: `Authorization: sk-mai-...`
</Info>

Return detected face entities. Requires the collection's `face_recognition_enabled: true` (otherwise always empty). `type` defaults to `person`.

<Note>
  **Pricing:** \$0.001 / call · See [Pricing](/datalake/pricing) for the full model.
</Note>

## Response Fields

<ResponseField name="entities" type="array">`[{entity_id, type, label, identity_id, first_seen, last_seen, appearance_count}]`.</ResponseField>


## OpenAPI

````yaml GET /datalake/v1/videos/{id}/entities
openapi: 3.1.0
info:
  title: Memories.ai DataLake API 2.0
  version: 2026-08
  description: OpenAPI mapping used by Mintlify Try it for the DataLake API 2.0 docs.
servers:
  - url: https://api.memories.ai
security:
  - ApiKeyAuth: []
paths:
  /datalake/v1/videos/{id}/entities:
    get:
      tags:
        - Moments & Derived Content
      summary: Get detected face entities
      description: >-
        Return detected face entities. Requires the collection's
        `face_recognition_enabled: true` (otherwise always empty). `type`
        defaults to `person`.
      operationId: get_entities
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Video ID.
        - name: since
          in: query
          required: false
          schema:
            type: string
          description: Incremental cursor.
        - name: type
          in: query
          required: false
          schema:
            type: string
          description: Entity type (default `person`).
      responses:
        '200':
          description: Success
          content:
            application/json:
              example:
                entities:
                  - entity_id: ent_9
                    type: person
                    label: person
                    identity_id: null
                    first_seen: 10
                    last_seen: 10
                    appearance_count: 1
                next_cursor: null
                live: false
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'Send `Authorization: sk-mai-...`'

````